Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.infinispan.util
Class CacheHelper

    java.lang.Object
      org.hibernate.cache.infinispan.util.CacheHelper

    public class CacheHelper

extends Object

Helper for dealing with Infinisan cache instances.

Since:
  3.5
Author:
  Galder Zamarreño

Method Summary
`static boolean` | `containsEvictAllNotification(Set keySet, AddressAdapter member)`
`static void` | `initInternalEvict(CacheAdapter cache, AddressAdapter member)`
`static boolean` | `isEvictAllNotification(Object key)`
`static boolean` | `isEvictAllNotification(Object key, Object value)`
`static void` | `sendEvictAllNotification(CacheAdapter cache, AddressAdapter member)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initInternalEvict

    public static void initInternalEvict(CacheAdapter cache,
                                         AddressAdapter member)

### sendEvictAllNotification

    public static void sendEvictAllNotification(CacheAdapter cache,
                                                AddressAdapter member)

### isEvictAllNotification

    public static boolean isEvictAllNotification(Object key)

### containsEvictAllNotification

    public static boolean containsEvictAllNotification(Set keySet,
                                                       AddressAdapter member)

### isEvictAllNotification

    public static boolean isEvictAllNotification(Object key,
                                                 Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.